package common.entity.types;

import common.entity.Entity;
import common.entity.EntityType;
import common.nbt.NBTTagCompound;
import common.world.World;

public abstract class EntityWeatherEffect extends Entity {
    public EntityWeatherEffect(World world) {
        super(world);
    }
    
    public final int getTrackingRange() {
    	return 0;
    }
    
    public final int getUpdateFrequency() {
    	return 0;
    }
    
    public final boolean isSendingVeloUpdates() {
    	return false;
    }

    protected final void entityInit() {
    }
    
    protected final void readEntityFromNBT(NBTTagCompound tagCompund) {
    }
    
    protected final void writeEntityToNBT(NBTTagCompound tagCompound) {
    }
    
    public final EntityType getType() {
    	return EntityType.OBJECT;
    }
}
